{{- if index .Values.ocFront.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: oc-front
  name: {{ .Release.Name }}-oc-front
spec:
  replicas: 1
  selector:
    matchLabels:
      app: oc-front
  template:
    metadata:
      labels:
        app: oc-front
    spec:
      volumes:
          - name: config-volume
            configMap:
              name: front-config
      containers:
      - image: "{{ .Values.ocFront.image }}"
        name: oc-front
        ports:
          - name: http
            containerPort: 80
            protocol: TCP
        resources:
          limits:
            cpu: "{{ .Values.ocFront.resources.limits.cpu }}"
            memory: "{{ .Values.ocFront.resources.limits.memory }}"
          requests:
            cpu: "{{ .Values.ocFront.resources.requests.cpu }}"
            memory: "{{ .Values.ocFront.resources.requests.memory }}"
        volumeMounts:
        - name: config-volume
          mountPath: /usr/share/nginx/html/assets/assets/config/front.json
          subPath: config.json            
{{- end }}